Skip to main content

Assign a card to a cardholder

This operations allow you to assign a card from the stock to a cardholder.

HTTP Request

PUT /cards

Header Parameters

HeaderDescription
Autorization 
required
The Bearer token created in
Get authorization Token
Content-Type
required
application/json

Body Parameters

ParameterTypePatternDescription
cardholder_id
required
stringUUIDThe cardholder's id.
product_id
required
stringUUIDThe product's id.
document_type
required
stringDocument TypeThe cardholder's document type to be registeres with the card. See allowed values in
Get Document Type Catalog
document_number
required
string1-27 charactersThe document number belonging to the document type.
observations
required
string0-100 charactersSome comment about the assignation.
shipping_method
required
stringB2B | B2C | CUSTOMDelivery address source.
delivery_type
required
stringSTANDARD | EXPRESSThe delivery type EXPRESS indicates priority delivery.
delivery_address
required
object or nullDelivery address only when shipping methos is shipping_method = CUSTOM.

delivery_address structure

ParámetroTipoDescripción
statestringState
townshipstringTownship
citystringCity
suburbstringSuburb
streetstringStreet
ext_street_numberstringExt street number
int_street_numberstringInt street number
postal_codestringPostal code

Address rules shipping_method

  • B2B → It uses cardholder's address
  • B2C → It uses client's address
  • CUSTOM → It uses delivery_address

Example JSON Request:

{
"document_type": "CURP",
"document_number": "1234123481",
"cardholder_id": "10c54e03-b2f5-4dff-9806-618eb1314f1d",
"product_id": "2c023492-d989-4a2f-a425-9f9076fdcda5",
"observations": "Asignacion",
"shipping_method": "CUSTOM",
"delivery_type": "STANDARD",
"delivery_address": {
"state": "SAN LUIS POTOSI",
"township": "VILLA DE ARISTA",
"city": "SAN LUIS POTOSI",
"suburb": "SANTA TERESA",
"street": "MOCTEZUMA",
"ext_street_number": "22",
"int_street_number": "",
"postal_code": "76116"
}
}

Example JSON Response:

{
"success": true,
"code": 0,
"message": "OK",
"data": {
"cardholder": {
"id": "ab123456-1qq2-1234-tt5g-8873fe52bf54",
"first_name": "John",
"second_name": "Doe",
"surname": "González",
"second_surname": "Pérez",
"rfc": "XAXX010101000",
"curp": "XEXX010101HNEXXXA4"
},
"card": {
"id": "11111111-daa7-1234-aaaa-123123123ecd",
"type": "PHYSICAL",
"status": "NEED_ACTIVATION",
"last_four": "1234",
"assignation_timestamp": "2025-07-24T00:00:00.000-06:00"
},
"account": {
"id": "22222222-daa7-1234-aaaa-123123123ecd",
"reference": null,
"clabe": null,
"assignation_timestamp": "2025-07-24T00:00:00.000-06:00"
},
"product": {
"id": "33333333-daa7-1234-aaaa-123123123ecd",
"code": "XXX001",
"name": "PRODUCT_NAME"
}
}
}